bm::aggregator< BV >::arena Struct Reference

Temporary operations vectors. More...

`#include <bmaggregator.h>`

## Public Member Functions

void | reset_all_blocks ()
void | reset_and_blocks ()
void | reset_or_blocks ()

## Data Fields

block_ptr_vector_type | v_arg_tmp_blk
| source blocks list
block_ptr_vector_type | v_arg_or_blk
| source blocks list (OR)
gap_block_ptr_vector_type | v_arg_or_blk_gap
| source GAP blocks list (OR)
block_ptr_vector_type | v_arg_and_blk
| source blocks list (AND)
gap_block_ptr_vector_type | v_arg_and_blk_gap
| source GAP blocks list (AND)
uchar_vector_type | carry_overs
| shift carry over flags

## Detailed Description

template<typename BV>
struct bm::aggregator< BV >::arena

Temporary operations vectors.

Definition at line 687 of file bmaggregator.h.

## Member Function Documentation

## reset_all_blocks()

template<typename BV>

void bm::aggregator< BV >::arena::reset_all_blocks | ( |  | ) |

inline

Definition at line 697 of file bmaggregator.h.

References carry_overs, reset_and_blocks(), and reset_or_blocks().

## reset_and_blocks()

template<typename BV>

void bm::aggregator< BV >::arena::reset_and_blocks | ( |  | ) |

inline

Definition at line 703 of file bmaggregator.h.

References v_arg_and_blk, and v_arg_and_blk_gap.

Referenced by reset_all_blocks().

## reset_or_blocks()

template<typename BV>

void bm::aggregator< BV >::arena::reset_or_blocks | ( |  | ) |

inline

Definition at line 708 of file bmaggregator.h.

References v_arg_or_blk, and v_arg_or_blk_gap.

Referenced by reset_all_blocks().

## Field Documentation

## carry_overs

template<typename BV>

uchar_vector_type bm::aggregator< BV >::arena::carry_overs

shift carry over flags

Definition at line 694 of file bmaggregator.h.

Referenced by reset_all_blocks().

## v_arg_and_blk

template<typename BV>

block_ptr_vector_type bm::aggregator< BV >::arena::v_arg_and_blk

source blocks list (AND)

Definition at line 692 of file bmaggregator.h.

Referenced by bm::aggregator< BV >::process_bit_blocks_and(), and reset_and_blocks().

## v_arg_and_blk_gap

template<typename BV>

gap_block_ptr_vector_type bm::aggregator< BV >::arena::v_arg_and_blk_gap

source GAP blocks list (AND)

Definition at line 693 of file bmaggregator.h.

Referenced by bm::aggregator< BV >::process_gap_blocks_and(), and reset_and_blocks().

## v_arg_or_blk

template<typename BV>

block_ptr_vector_type bm::aggregator< BV >::arena::v_arg_or_blk

source blocks list (OR)

Definition at line 690 of file bmaggregator.h.

Referenced by bm::aggregator< BV >::process_bit_blocks_or(), bm::aggregator< BV >::process_bit_blocks_sub(), and reset_or_blocks().

## v_arg_or_blk_gap

template<typename BV>

gap_block_ptr_vector_type bm::aggregator< BV >::arena::v_arg_or_blk_gap

source GAP blocks list (OR)

Definition at line 691 of file bmaggregator.h.

Referenced by bm::aggregator< BV >::process_gap_blocks_or(), bm::aggregator< BV >::process_gap_blocks_sub(), and reset_or_blocks().

## v_arg_tmp_blk

template<typename BV>

block_ptr_vector_type bm::aggregator< BV >::arena::v_arg_tmp_blk

source blocks list

Definition at line 689 of file bmaggregator.h.

The documentation for this struct was generated from the following file:

- bmaggregator.h